# Intel® Enhanced Privacy ID SDK: epid/common/file_parser.c File Reference

file_parser.c File Reference

Implementation of issuer material file parsing utilities. More...

`#include "epid/common/file_parser.h"`
`#include <string.h>`
`#include "epid/common/math/ecdsa.h"`
`#include "epid/common/memory.h"`

## Data Structures

struct | EpidGroupPubKeyCertificate
| Intel(R) EPID 2.0 Group Public Key binary format. More...

## Functions

EpidStatus | EpidParseGroupPubKeyFile (void const *buf, size_t len, EpidCaCertificate const *cert, GroupPubKey *pubkey)
| Extracts group public key from buffer in issuer binary format. More...
EpidStatus | EpidParsePrivRlFile (void const *buf, size_t len, EpidCaCertificate const *cert, PrivRl *rl, size_t *rl_len)
| Extracts private key revocation list from buffer in issuer binary format. More...
EpidStatus | EpidParseSigRlFile (void const *buf, size_t len, EpidCaCertificate const *cert, SigRl *rl, size_t *rl_len)
| Extracts signature revocation list from buffer in issuer binary format. More...
EpidStatus | EpidParseGroupRlFile (void const *buf, size_t len, EpidCaCertificate const *cert, GroupRl *rl, size_t *rl_len)
| Extracts group revocation list from buffer in issuer binary format. More...

## Variables

const OctStr16 | kEpidFileTypeCode [kNumFileTypes]
| Encoding of issuer material file types. More...

## Detailed Description

Implementation of issuer material file parsing utilities.